# attempt to match the fax sent by RLC Electronics May-07-2001

if (! exist("overlay"))
	overlay=0;
endif

if (!exist("plot_select"))
	plot_select=1;
endif

w1=18;
w2=9.5;
w3=15;
poles=[-w1 -w2+w3*j -w2-w3*j];

df=0.1;
f=[-20:df:20];
s=j*2*pi*f;
A=1+0*s;
for p=poles
   A=A*abs(p)./(s-p);
endfor

fl=length(f);
fd=0.5*(f(1:fl-1)+f(2:fl));

gset nokey

if (plot_select==1)
	gset yrange [-5:0]
	gset xrange [45:55]
	if (overlay)
		gset mxtics 4
		gset nomytics
		gset size 0.80,0.95
	else
		gset ylabel "S_{11} (dB)" -1
	endif
else
	gset xrange [30:70]
	gset yrange [-60:0]
	if (overlay)
		gset mxtics 2
		gset nomytics
		gset size 0.775,1.06
	else
		gset ylabel "S_{11} (dB)" -1
	endif
endif
if (overlay)
	gset grid mxtics mytics
else
	gset xlabel "f (MHz)"
endif
if (plot_select==3)
	gset yrange [40:160]
	gset xrange [45:55]
	if (overlay)
		gset mxtics 4
		gset mytics 2
		gset size 0.775,1.06
	else
		gset ylabel "delay (ns)" -1
	endif
	# delay in ns
	plot(fd+50,1000*(pi-rem(diff(arg(A))+pi,2*pi))/(df*2*pi))
else
	plot(f+50,20*log(abs(A))/log(10)-2.0)
endif
